Pixxel

List all orderItems

List of all order-items in the workspace, the response is paginated.

GET/v0/order-items
Authorisations
AuthorizationString
Query Parameters
user_idstring
User ID
typestring
Type
statusstring
Status
order_idsstring
Order IDs
created_bystring
Created By
created_atstring
Created At Range
project_idsstring
Project IDs
idsstring
IDs
areastring
Area Range
limitinteger
Limit
offsetinteger
Offset
Response
application/json
OK
order_itemsobject[]
Show child attributes
paginationobject
Show child attributes
List all orderItems
1curl -X GET 'https://api.pixxel.space/v0/order-items' \
2 -H 'Authorization: YOUR_API_KEY'
Response:
{
"order_items": [
{
"area": 1000,
"bandset": null,
"base_amount": 10000,
"cloud_cover": 0,
"cloud_delivery": null,
"created_at": "2024-05-27T06:50:20.056549Z",
"created_by": "b64d2c37-89c3-404d-8395-dedb0fe9131c",
"delivery_speed": "STANDARD",
"end_date": "2020-10-28T00:00:00Z",
"feasibility_status": "FAILED/WEAK_SUCCESS/SUCCESS",
"final_amount": 12000,
"id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"image_type": "VNIR",
"images": [
{
"geometry": null,
"item_id": "string"
}
],
"last_feasibility_check": "2024-05-27T06:50:20.056549Z",
"name": "order item 1",
"no_of_occurrences": 0,
"number_of_bands": 2,
"occurrences": [
{
"end": "2020-01-01T00:00:00+00:00",
"start": "2020-01-01T00:00:00+00:00"
}
],
"off_nadir": 0,
"order_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"org_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"payment_status": "PAID/PARTIAL-REFUND/REFUND/UNPAID/PARTIAL-MONTHLY",
"project_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"recurrence": "ONCE",
"start_date": "2020-10-22T00:00:00Z",
"status": "DRAFT/ACTIVE/FULFILLED/CANCELLED/FAILED/PARTIALLY_FULFILLED",
"tasks": [
{
"created_at": "2024-05-27T06:50:20.056549Z",
"created_by": "e3ff4960-2d5a-4737-90dd-9cfb31bfa71e",
"delivery_status": "SUCCESSFUL",
"end_date": "25-05-2024",
"id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"number_of_strips": 4,
"order_item_id": "TD1_006800_20230528_L2A_20230615_03001067",
"start_date": "15-05-2024",
"status": "FULFILLED",
"tokens_used": 10,
"transaction_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"type": "ARCHIVE",
"updated_at": "2024-05-27T06:50:20.056549Z",
"updated_by": "77345b90-0677-4889-b4d8-2ddb93c0467f"
}
],
"tokens_used": 100,
"transaction_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"type": "TASKING/ARCHIVE/RECURRING",
"updated_at": "2024-05-27T06:50:20.056549Z",
"updated_by": "274a30f5-9ff2-4cc7-8680-7b2e076b9faf",
"uplifts": [
{
"amount": 0,
"item_id": "string",
"percentage": 0,
"subtitle": "string",
"title": "string"
}
],
"usecase": "agriculture",
"user_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276",
"validation_errors": [
{}
]
}
],
"pagination": {
"limit": 10,
"offset": 0,
"total": 100
}
}